prompt_pt_model_lut = [
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8166, 7704, 7278, 6891,
    6534, 6203, 5904, 5620, 5364, 5121, 4901, 4692, 4504, 4325, 4159, 4005, 3862, 3726, 3604, 3487, 3375, 3274, 3177,
    3085, 3002, 2922, 2846, 2774, 2706, 2642, 2583, 2526, 2473, 2421, 2372, 2325, 2280, 2239, 2198, 2161, 2124, 2088,
    2055, 2022, 1990, 1961, 1932, 1904, 1877, 1850, 1826, 1801, 1778, 1755, 1734, 1712, 1691, 1671, 1651, 1632, 1614,
    1595, 1577, 1561, 1544, 1526, 1511, 1495, 1479, 1464, 1450, 1435, 1420, 1407, 1394, 1379, 1366, 1353, 1341, 1328,
    1316, 1303, 1291, 1279, 1267, 1256, 1244, 1233, 1222, 1211, 1200, 1189, 1179, 1169, 1158, 1149, 1138, 1128, 1119,
    1109, 1100, 1090, 1081, 1072, 1062, 1053, 1045, 1035, 1027, 1018, 1009, 1001, 993, 984, 976, 968, 960, 952, 944,
    936, 928, 921, 913, 905, 898, 891, 883, 876, 869, 861, 855, 847, 841, 834, 827, 820, 813, 806, 800, 793, 788, 781,
    774, 768, 762, 755, 749, 743, 738, 731, 725, 720, 713, 707, 702, 696, 691, 685, 679, 674, 668, 663, 657, 653, 647,
    641, 636, 631, 626, 621, 615, 611, 605, 601, 596, 591, 586, 581, 577, 571, 567, 562, 558, 553, 549, 544, 540, 535,
    531, 526, 523, 518, 514, 509, 506, 501, 497, 493, 489, 484, 481, 476, 473, 468, 465, 460, 457, 454, 449, 446, 442,
    438, 435, 431, 428, 423, 420, 416, 413, 410, 406, 403, 400, 396, 393, 389, 386, 383, 379, 376, 373, 369, 366, 363,
    360, 357, 354, 350, 348, 345, 341, 339, 336, 332, 330, 327, 324, 321, 318, 316, 312, 310, 307, 305, 301, 299, 296,
    294, 290, 288, 286, 283, 280, 278, 275, 273, 271, 267, 265, 263, 261, 257, 255, 253, 251, 248, 245, 243, 241, 239,
    237, 235, 232, 229, 227, 225, 223, 220, 218, 216, 214, 212, 210, 208, 205, 203, 201, 199, 197, 196, 194, 191, 189,
    187, 185, 183, 182, 180, 178, 176, 173, 171, 170, 168, 166, 164, 163, 161, 159, 157, 156, 153, 151, 150, 148, 146,
    145, 143, 141, 140, 138, 136, 135, 133, 132, 130, 129, 126, 124, 123, 121, 120, 118, 117, 115, 114, 112, 111, 109,
    108, 106, 105, 103, 102, 100, 99, 97, 96, 95, 93, 92, 90, 89, 88, 86, 85, 84, 82, 81, 79, 78, 77, 75, 74, 73, 71,
    70, 69, 68, 66, 65, 64, 62, 61, 60, 59, 57, 56, 55, 54, 52, 51, 50, 49, 48, 46, 45, 44, 43, 43, 41, 40, 39, 38, 37,
    36, 34, 33, 32, 31, 30, 29, 28, 27, 25, 24, 23, 22, 21, 21, 20, 19, 18, 17, 16, 14, 13, 12, 11, 10, 9, 8, 7, 6, 6,
    5, 4, 3, 2, 1, 0, 1, 2, 3, 4, 5, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 16, 17, 18, 19, 20, 21, 21, 22, 23, 24, 25, 27,
    28, 29, 30, 31, 32, 33, 34, 36, 37, 38, 39, 40, 41, 43, 43, 44, 45, 46, 48, 49, 50, 51, 52, 54, 55, 56, 57, 59, 60,
    61, 62, 64, 65, 66, 68, 69, 70, 71, 73, 74, 75, 77, 78, 79, 81, 82, 84, 85, 86, 88, 89, 90, 92, 93, 95, 96, 97, 99,
    100, 102, 103, 105, 106, 108, 109, 111, 112, 114, 115, 117, 118, 120, 121, 123, 124, 126, 129, 130, 132, 133, 135,
    136, 138, 140, 141, 143, 145, 146, 148, 150, 151, 153, 156, 157, 159, 161, 163, 164, 166, 168, 170, 171, 173, 176,
    178, 180, 182, 183, 185, 187, 189, 191, 194, 196, 197, 199, 201, 203, 205, 208, 210, 212, 214, 216, 218, 220, 223,
    225, 227, 229, 232, 235, 237, 239, 241, 243, 245, 248, 251, 253, 255, 257, 261, 263, 265, 267, 271, 273, 275, 278,
    280, 283, 286, 288, 290, 294, 296, 299, 301, 305, 307, 310, 312, 316, 318, 321, 324, 327, 330, 332, 336, 339, 341,
    345, 348, 350, 354, 357, 360, 363, 366, 369, 373, 376, 379, 383, 386, 389, 393, 396, 400, 403, 406, 410, 413, 416,
    420, 423, 428, 431, 435, 438, 442, 446, 449, 454, 457, 460, 465, 468, 473, 476, 481, 484, 489, 493, 497, 501, 506,
    509, 514, 518, 523, 526, 531, 535, 540, 544, 549, 553, 558, 562, 567, 571, 577, 581, 586, 591, 596, 601, 605, 611,
    615, 621, 626, 631, 636, 641, 647, 653, 657, 663, 668, 674, 679, 685, 691, 696, 702, 707, 713, 720, 725, 731, 738,
    743, 749, 755, 762, 768, 774, 781, 788, 793, 800, 806, 813, 820, 827, 834, 841, 847, 855, 861, 869, 876, 883, 891,
    898, 905, 913, 921, 928, 936, 944, 952, 960, 968, 976, 984, 993, 1001, 1009, 1018, 1027, 1035, 1045, 1053, 1062,
    1072, 1081, 1090, 1100, 1109, 1119, 1128, 1138, 1149, 1158, 1169, 1179, 1189, 1200, 1211, 1222, 1233, 1244, 1256,
    1267, 1279, 1291, 1303, 1316, 1328, 1341, 1353, 1366, 1379, 1394, 1407, 1420, 1435, 1450, 1464, 1479, 1495, 1511,
    1526, 1544, 1561, 1577, 1595, 1614, 1632, 1651, 1671, 1691, 1712, 1734, 1755, 1778, 1801, 1826, 1850, 1877, 1904,
    1932, 1961, 1990, 2022, 2055, 2088, 2124, 2161, 2198, 2239, 2280, 2325, 2372, 2421, 2473, 2526, 2583, 2642, 2706,
    2774, 2846, 2922, 3002, 3085, 3177, 3274, 3375, 3487, 3604, 3726, 3862, 4005, 4159, 4325, 4504, 4692, 4901, 5121,
    5364, 5620, 5904, 6203, 6534, 6891, 7278, 7704, 8166, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191
]

disp_pt_model_lut = [
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 7732, 7305, 6908, 6539, 6196, 5877, 5580, 5300, 5041, 4800, 4572, 4362, 4163, 3975, 3802,
    3638, 3484, 3342, 3204, 3078, 2955, 2843, 2735, 2635, 2539, 2448, 2363, 2282, 2204, 2134, 2065, 1998, 1937, 1879,
    1821, 1770, 1719, 1671, 1625, 1580, 1539, 1500, 1462, 1426, 1392, 1358, 1327, 1296, 1268, 1240, 1214, 1189, 1164,
    1141, 1118, 1097, 1076, 1056, 1037, 1019, 1000, 984, 967, 951, 936, 922, 907, 893, 880, 867, 855, 843, 831, 820,
    809, 799, 788, 779, 769, 759, 750, 741, 733, 724, 716, 709, 701, 693, 686, 679, 672, 665, 658, 652, 646, 639, 634,
    628, 622, 616, 611, 605, 600, 595, 590, 585, 580, 575, 571, 566, 562, 557, 553, 549, 544, 540, 536, 532, 528, 524,
    520, 516, 513, 509, 505, 502, 498, 495, 491, 488, 485, 481, 478, 475, 472, 468, 466, 462, 459, 456, 453, 451, 447,
    445, 442, 439, 436, 433, 430, 428, 425, 423, 420, 417, 415, 412, 409, 407, 404, 402, 399, 397, 395, 392, 390, 387,
    385, 383, 380, 378, 376, 373, 371, 369, 367, 364, 362, 360, 358, 355, 354, 351, 349, 347, 345, 343, 341, 339, 337,
    335, 332, 330, 328, 326, 324, 323, 321, 319, 317, 315, 313, 311, 309, 307, 305, 304, 301, 299, 298, 296, 294, 292,
    290, 289, 287, 285, 283, 281, 280, 278, 276, 275, 272, 271, 269, 268, 265, 264, 262, 261, 259, 257, 256, 254, 252,
    251, 249, 247, 246, 244, 243, 241, 239, 237, 236, 235, 233, 231, 230, 228, 227, 225, 224, 222, 220, 219, 217, 216,
    215, 213, 212, 210, 209, 207, 206, 204, 203, 201, 200, 198, 197, 196, 194, 193, 191, 190, 188, 187, 185, 184, 183,
    182, 180, 179, 177, 176, 174, 173, 172, 170, 169, 168, 167, 165, 163, 162, 161, 160, 158, 157, 156, 154, 153, 152,
    151, 149, 148, 147, 145, 144, 143, 142, 141, 139, 138, 137, 135, 135, 133, 132, 131, 129, 128, 127, 126, 125, 123,
    123, 121, 120, 119, 118, 117, 115, 114, 113, 112, 111, 110, 108, 108, 106, 105, 104, 103, 102, 101, 100, 98, 97, 96,
    95, 94, 93, 92, 91, 90, 88, 88, 86, 86, 84, 83, 82, 81, 80, 79, 78, 77, 76, 75, 74, 72, 72, 71, 69, 69, 68, 66, 66,
    64, 63, 63, 61, 60, 60, 58, 57, 57, 56, 54, 54, 53, 51, 51, 50, 49, 48, 47, 46, 45, 44, 43, 42, 41, 41, 39, 38, 38,
    37, 36, 34, 34, 33, 32, 31, 31, 29, 28, 27, 27, 26, 25, 24, 23, 22, 21, 20, 19, 19, 18, 17, 16, 15, 15, 14, 12, 11,
    11, 10, 9, 8, 7, 7, 6, 5, 4, 3, 2, 2, 1, 0, 1, 2, 2, 3, 4, 5, 6, 7, 7, 8, 9, 10, 11, 11, 12, 14, 15, 15, 16, 17, 18,
    19, 19, 20, 21, 22, 23, 24, 25, 26, 27, 27, 28, 29, 31, 31, 32, 33, 34, 34, 36, 37, 38, 38, 39, 41, 41, 42, 43, 44,
    45, 46, 47, 48, 49, 50, 51, 51, 53, 54, 54, 56, 57, 57, 58, 60, 60, 61, 63, 63, 64, 66, 66, 68, 69, 69, 71, 72, 72,
    74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 86, 86, 88, 88, 90, 91, 92, 93, 94, 95, 96, 97, 98, 100, 101, 102, 103,
    104, 105, 106, 108, 108, 110, 111, 112, 113, 114, 115, 117, 118, 119, 120, 121, 123, 123, 125, 126, 127, 128, 129,
    131, 132, 133, 135, 135, 137, 138, 139, 141, 142, 143, 144, 145, 147, 148, 149, 151, 152, 153, 154, 156, 157, 158,
    160, 161, 162, 163, 165, 167, 168, 169, 170, 172, 173, 174, 176, 177, 179, 180, 182, 183, 184, 185, 187, 188, 190,
    191, 193, 194, 196, 197, 198, 200, 201, 203, 204, 206, 207, 209, 210, 212, 213, 215, 216, 217, 219, 220, 222, 224,
    225, 227, 228, 230, 231, 233, 235, 236, 237, 239, 241, 243, 244, 246, 247, 249, 251, 252, 254, 256, 257, 259, 261,
    262, 264, 265, 268, 269, 271, 272, 275, 276, 278, 280, 281, 283, 285, 287, 289, 290, 292, 294, 296, 298, 299, 301,
    304, 305, 307, 309, 311, 313, 315, 317, 319, 321, 323, 324, 326, 328, 330, 332, 335, 337, 339, 341, 343, 345, 347,
    349, 351, 354, 355, 358, 360, 362, 364, 367, 369, 371, 373, 376, 378, 380, 383, 385, 387, 390, 392, 395, 397, 399,
    402, 404, 407, 409, 412, 415, 417, 420, 423, 425, 428, 430, 433, 436, 439, 442, 445, 447, 451, 453, 456, 459, 462,
    466, 468, 472, 475, 478, 481, 485, 488, 491, 495, 498, 502, 505, 509, 513, 516, 520, 524, 528, 532, 536, 540, 544,
    549, 553, 557, 562, 566, 571, 575, 580, 585, 590, 595, 600, 605, 611, 616, 622, 628, 634, 639, 646, 652, 658, 665,
    672, 679, 686, 693, 701, 709, 716, 724, 733, 741, 750, 759, 769, 779, 788, 799, 809, 820, 831, 843, 855, 867, 880,
    893, 907, 922, 936, 951, 967, 984, 1000, 1019, 1037, 1056, 1076, 1097, 1118, 1141, 1164, 1189, 1214, 1240, 1268,
    1296, 1327, 1358, 1392, 1426, 1462, 1500, 1539, 1580, 1625, 1671, 1719, 1770, 1821, 1879, 1937, 1998, 2065, 2134,
    2204, 2282, 2363, 2448, 2539, 2635, 2735, 2843, 2955, 3078, 3204, 3342, 3484, 3638, 3802, 3975, 4163, 4362, 4572,
    4800, 5041, 5300, 5580, 5877, 6196, 6539, 6908, 7305, 7732, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191
]

rels_model_lut = [
    64, 64, 64, 65, 65, 65, 66, 66, 66, 67, 67, 68, 68, 68, 69, 69, 69, 70, 70, 70, 71, 71, 71, 72, 72, 73, 73, 73, 74,
    74, 74, 75, 75, 75, 76, 76, 76, 77, 77, 78, 78, 78, 79, 79, 79, 80, 80, 80, 81, 81, 81, 82, 82, 82, 83, 83, 83, 84,
    84, 84, 85, 85, 85, 86, 86, 86, 87, 87, 87, 87, 88, 88, 88, 89, 89, 89, 90, 90, 90, 91, 91, 91, 91, 92, 92, 92, 93,
    93, 93, 93, 94, 94, 94, 95, 95, 95, 95, 96, 96, 96, 96, 97, 97, 97, 98, 98, 98, 98, 99, 99, 99, 99, 100, 100, 100,
    100, 101, 101, 101, 101, 101, 102, 102, 102, 102, 103, 103, 103, 103, 104, 104, 104, 104, 104, 105, 105, 105, 105,
    105, 106, 106, 106, 106, 106, 107, 107, 107, 107, 107, 108, 108, 108, 108, 108, 109, 109, 109, 109, 109, 109, 110,
    110, 110, 110, 110, 110, 111, 111, 111, 111, 111, 111, 112, 112, 112, 112, 112, 112, 112, 113, 113, 113, 113, 113,
    113, 113, 114, 114, 114, 114, 114, 114, 114, 115, 115, 115, 115, 115, 115, 115, 115, 116, 116, 116, 116, 116, 116,
    116, 116, 116, 117, 117, 117, 117, 117, 117, 117, 117, 117, 118, 118, 118, 118, 118, 118, 118, 118, 118, 118, 118,
    119, 119, 119, 119, 119, 119, 119, 119, 119, 119, 119, 120, 120, 120, 120, 120, 120, 120, 120, 120, 120, 120, 120,
    120, 121, 121, 121, 121, 121, 121, 121, 121, 121, 121, 121, 121, 121, 121, 121, 121, 122, 122, 122, 122, 122, 122,
    122, 122, 122, 122, 122, 122, 122, 122, 122, 122, 122, 122, 123, 123, 123, 123, 123, 123, 123, 123, 123, 123, 123,
    123, 123, 123, 123, 123, 123, 123, 123, 123, 123, 123, 124, 124, 124, 124, 124, 124, 124, 124, 124, 124, 124, 124,
    124, 124, 124, 124, 124, 124, 124, 124, 124, 124, 124, 124, 124, 124, 124, 124, 124, 124, 125, 125, 125, 125, 125,
    125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125,
    125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 126, 126, 126, 126, 126, 126,
    126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126,
    126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126,
    126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126,
    126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 127,
    127, 127, 127, 127, 127, 127, 127, 127, 127, 127, 127, 127, 127, 127, 127, 127, 127, 127, 127, 127, 127, 127, 127,
    127, 127, 127, 127, 127, 127, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
    2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,
    4, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 7, 7, 7,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 10, 10, 10, 10, 10, 10,
    10, 10, 10, 11, 11, 11, 11, 11, 11, 11, 11, 11, 12, 12, 12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 14, 14,
    14, 14, 14, 14, 14, 15, 15, 15, 15, 15, 15, 15, 16, 16, 16, 16, 16, 16, 17, 17, 17, 17, 17, 17, 18, 18, 18, 18, 18,
    18, 19, 19, 19, 19, 19, 20, 20, 20, 20, 20, 21, 21, 21, 21, 21, 22, 22, 22, 22, 22, 23, 23, 23, 23, 23, 24, 24, 24,
    24, 25, 25, 25, 25, 26, 26, 26, 26, 26, 27, 27, 27, 27, 28, 28, 28, 28, 29, 29, 29, 29, 30, 30, 30, 31, 31, 31, 31,
    32, 32, 32, 32, 33, 33, 33, 34, 34, 34, 34, 35, 35, 35, 36, 36, 36, 36, 37, 37, 37, 38, 38, 38, 39, 39, 39, 40, 40,
    40, 40, 41, 41, 41, 42, 42, 42, 43, 43, 43, 44, 44, 44, 45, 45, 45, 46, 46, 46, 47, 47, 47, 48, 48, 48, 49, 49, 49,
    50, 50, 51, 51, 51, 52, 52, 52, 53, 53, 53, 54, 54, 54, 55, 55, 56, 56, 56, 57, 57, 57, 58, 58, 58, 59, 59, 59, 60,
    60, 61, 61, 61, 62, 62, 62, 63, 63
]

dxy_model_lut = [
    0, 0, 1, 1, 1, 1, 2, 2, 2, 2, 3, 3, 3, 3, 4, 4, 4, 4, 5, 5, 5, 5, 6, 6, 6, 6, 7, 7, 7, 8, 8, 8, 8, 9, 9, 9, 9, 10,
    10, 10, 10, 11, 11, 11, 11, 12, 12, 12, 12, 13, 13, 13, 15, 15, 15, 15, 16, 16, 16, 16, 17, 17, 17, 17, 18, 18, 18,
    18, 19, 19, 19, 19, 20, 20, 20, 20, 21, 21, 21, 22, 22, 22, 22, 23, 23, 23, 23, 24, 24, 24, 24, 25, 25, 25, 25, 26,
    26, 26, 26, 27, 27, 27, 27, 28, 28, 28, 29, 29, 29, 29, 30, 30, 30, 30, 31, 31, 31, 31, 32, 32, 32, 32, 33, 33, 33,
    33, 34, 34, 34, 35, 35, 35, 35, 36, 36, 36, 36, 37, 37, 37, 37, 38, 38, 38, 38, 39, 39, 39, 39, 40, 40, 40, 40, 42,
    42, 42, 43, 43, 43, 43, 44, 44, 44, 44, 45, 45, 45, 45, 46, 46, 46, 46, 47, 47, 47, 47, 48, 48, 48, 48, 49, 49, 49,
    50, 50, 50, 50, 51, 51, 51, 51, 52, 52, 52, 52, 53, 53, 53, 53, 54, 54, 54, 54, 55, 55, 55, 56, 56, 56, 56, 57, 57,
    57, 57, 58, 58, 58, 58, 59, 59, 59, 59, 60, 60, 60, 60, 61, 61, 61, 61, 62, 62, 62, 63, 63, 63, 63, 63, 63, 63, 63,
    63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63,
    63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63,
    63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63,
    63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63,
    63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63,
    63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63,
    63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63,
    63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63,
    63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63,
    63, 63, 63, 63, 63, 63, 63, 63, 63, 63, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64,
    -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64,
    -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64,
    -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64,
    -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64,
    -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64,
    -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64,
    -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64,
    -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64,
    -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64,
    -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64,
    -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64, -64,
    -64, -64, -64, -64, -64, -64, -64, -64, -63, -63, -63, -63, -62, -62, -62, -61, -61, -61, -61, -60, -60, -60, -60,
    -59, -59, -59, -59, -58, -58, -58, -58, -57, -57, -57, -57, -56, -56, -56, -56, -55, -55, -55, -54, -54, -54, -54,
    -53, -53, -53, -53, -52, -52, -52, -52, -51, -51, -51, -51, -50, -50, -50, -50, -49, -49, -49, -48, -48, -48, -48,
    -47, -47, -47, -47, -46, -46, -46, -46, -45, -45, -45, -45, -44, -44, -44, -44, -43, -43, -43, -43, -42, -42, -42,
    -40, -40, -40, -40, -39, -39, -39, -39, -38, -38, -38, -38, -37, -37, -37, -37, -36, -36, -36, -36, -35, -35, -35,
    -35, -34, -34, -34, -33, -33, -33, -33, -32, -32, -32, -32, -31, -31, -31, -31, -30, -30, -30, -30, -29, -29, -29,
    -29, -28, -28, -28, -27, -27, -27, -27, -26, -26, -26, -26, -25, -25, -25, -25, -24, -24, -24, -24, -23, -23, -23,
    -23, -22, -22, -22, -22, -21, -21, -21, -20, -20, -20, -20, -19, -19, -19, -19, -18, -18, -18, -18, -17, -17, -17,
    -17, -16, -16, -16, -16, -15, -15, -15, -15, -13, -13, -13, -12, -12, -12, -12, -11, -11, -11, -11, -10, -10, -10,
    -10, -9, -9, -9, -9, -8, -8, -8, -8, -7, -7, -7, -6, -6, -6, -6, -5, -5, -5, -5, -4, -4, -4, -4, -3, -3, -3, -3, -2,
    -2, -2, -2, -1, -1, -1, -1, 0
]
